Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2841 - pump missing critical functionality
Summary: pump missing critical functionality
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: dhcpcd
Version: 6.0
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Erik Troan
QA Contact:
URL: NA
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-15 18:38 UTC by pokemon
Modified: 2012-11-19 09:51 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-05-25 18:17:34 UTC


Attachments (Terms of Use)

Description pokemon 1999-05-15 18:38:41 UTC
In order to use dynamic DNS in our installation, we used to
pass a workstations hostname with the "-h hostname" option
to dhcpcd in the 5.2 "ifup" script.

pump does not appear to take that as a valid option.

This is critical, as the hostname argument gets sent with
the dhcp request, and our dhcp server updates DNS with said
received name.

Please advise... and this is a pretty critical thing to
simply replace on an upgrade...  Not too cool... please
don't ever become evil.

Comment 1 Bill Nottingham 1999-05-25 18:17:59 UTC
fixed in pump-0.6.7-1, available in the Errata...


Note You need to log in before you can comment on or make changes to this bug.